@base <https://purl.org/coscine/ap/qudt/quantitykind/AuxillaryMagneticField/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/AuxillaryMagneticField/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Auxillary Magnetic Field sind."@de,
    "Profile for all units that are a/an Auxillary Magnetic Field."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Auxillary Magnetic Field"@de,
    "Unit: Auxillary Magnetic Field"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:A-PER-CentiM unit:A-PER-M unit:A-PER-MilliM unit:AT-PER-IN unit:AT-PER-M unit:KiloA-PER-M unit:MilliA-PER-IN unit:MilliA-PER-MilliM unit:OERSTED ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:A-PER-CentiM rdfs:label "Ampere Per Centimeter"@en-us, "Ampere Per Centimetre"@en .
unit:A-PER-M rdfs:label "Ampere Je Meter"@de, "Ampere Per Meter"@en-us, "Amper Bölü Metre"@tr, "Amper Na Meter"@sl, "Amper Na Metr"@pl, "Ampere Al Metro"@it, "Ampere Pe Metru"@ro, "Ampere Per Meter"@ms, "Ampere Per Metre"@en, "Ampere Por Metro"@pt, "Amperio Por Metro"@es, "Ampère Par Mètre"@fr, "Ampérů Na Metr"@cs, "Ампер На Метр"@ru, "آمپر بر متر"@fa, "مقياس التبادل، الأس السالب للمتر"@ar, "प्रति मीटर एम्पीयर"@hi, "アンペア毎メートル"@ja, "安培每米"@zh .
unit:A-PER-MilliM rdfs:label "Ampere Per Millimeter"@en-us, "Ampere Per Millimetre"@en .
unit:AT-PER-IN rdfs:label "Ampere Turn Per Inch"@en .
unit:AT-PER-M rdfs:label "Ampere Turn Per Meter"@en-us, "Ampere Turn Per Metre"@en .
unit:KiloA-PER-M rdfs:label "Kiloampere Per Meter"@en-us, "Kiloampere Per Metre"@en .
unit:MilliA-PER-IN rdfs:label "Milliampere Per Inch"@en .
unit:MilliA-PER-MilliM rdfs:label "Milliampere Per Millimeter"@en-us, "Milliampere Per Millimetre"@en .
unit:OERSTED rdfs:label "Oersted"@en .
